<!doctype html>
<html lang="en">
<head>

<!-- HTML5 Document Properties -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta charset="UTF-8" />

<!-- Views for Mobile Compatibility -->
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<?php if (isset($DW_REALLY_REALLY_SEND) === true) { ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
	<meta name="viewport" content="width=980px, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
	<meta name="viewport" content="width=980px" />
<?php } ?>

<!-- Frameworks / jQuery / Fonts -->
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> <!-- jQuery -->
<?php if (isset($DW_REALLY_REALLY_SEND) === true) { ?>
	<!-- BootStrap -->
	<link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap.min.css" />
	<link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap-theme.min.css" />
	<script type="text/javascript" src="https://netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>
<?php } ?>
<link href='https://fonts.googleapis.com/css?family=Tinos|Fjord+One|Alef|Droid+Sans' rel='stylesheet' type='text/css' /> <!-- Fonts -->
<link rel="stylesheet" href="<?php echo theme_url('/css/melody.css'); ?>" /> <!-- Melody CSS -->
<link rel="stylesheet" href="<?php echo theme_url('/css/deepwave.css'); ?>" /> <!-- DeepWave Theme Site Style -->
<script type="text/javascript" src="<?php echo theme_url('/js/deepwave.js'); ?>"></script> <!-- DeepWave Theme Site Javascript -->

<!-- Site Info / SEO / Metadata -->
<title><?php echo site_name(); ?> &raquo; <?php echo page_title('Page can’t be found'); ?></title>
<link rel="icon" type="image/png" href="<?php echo theme_url('img/favicon.png'); ?>" />
<link rel="shortcut icon" href="<?php echo theme_url('img/favicon.ico'); ?>" />
<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php echo rss_url(); ?>" />
<meta name="description" content="<?php echo site_description(); ?>" />
<meta name="generator" content="Anchor CMS" />
<meta property="og:title" content="<?php echo site_name(); ?>">
<meta property="og:type" content="website">
<meta property="og:url" content="<?php echo current_url(); ?>">
<meta property="og:image" content="<?php echo theme_url('img/favicon.png'); ?>">
<meta property="og:site_name" content="<?php echo site_name(); ?>">
<meta property="og:description" content="<?php echo site_description(); ?>">

<?php
	// -- Find out what kind of Document this is --
	// Defined Section Types
	$SECTYPE_UNDEF = 0; // Unknown / Undefined Page
	$SECTYPE_404 = 1; // Missing / 404
	$SECTYPE_HOME = 2; // Home Page
	$SECTYPE_BLOG = 3; // Blog Home
	$SECTYPE_BLOGPOST = 4; // Actual Blog Post
	$SECTYPE_SEARCH = 5; // Search Page / Results
	$SECTYPE_TAGS = 6; // Tags Page / Results
	$SECTYPE_ABOUT = 7; // About
	$SECTYPE_READING = 8; // Writings and Musings
	$SECTYPE_PRESS = 9; // Press Articles and Events
	$SECTYPE_ARTICLES = 10; // Articles and References
	$SECTYPE_GALLERY = 11; // Photographic Gallery

	$sectiontype = $SECTYPE_UNDEF;
	$sectionname = site_name();
	$sectiondesc = site_description();
	$sectionimg = theme_url('img/sidebar-main.jpg');
	if (strlen(article_author('real_name')) > 0) {
		// This is a Blog Post
		$sectiontype = $SECTYPE_BLOGPOST;
		$sectionimg = theme_url('img/sidebar-blog.jpg');
	} else {
		// This is a Page, but which page is this?
		$brokenurl = explode("/", page_url());
		$pagesec = "";
		if (isset($brokenurl[1])) {
			if ("anchor" === $brokenurl[1]) {
				if (isset($brokenurl[2])) { $pagesec = $brokenurl[2]; }  // Use $brokenurl[1] if this is the top level of the website
			} else {
				$pagesec = $brokenurl[1];
			}
		}
		switch($pagesec) {  
			case "home": 
				$sectiontype = $SECTYPE_HOME;
				$sectionname = site_name();
				$sectiondesc = site_description();
				break;
			case "blog":
				$sectiontype = $SECTYPE_BLOG;
				$sectionname = "Blog";
				$sectiondesc = "Patrick's Weblog";
				$sectionimg = theme_url('img/sidebar-blog.jpg');
				break;
			case "search":
				$sectiontype = $SECTYPE_SEARCH;
				$sectionname = "Search";
				$sectiondesc = "Site Search";
				$sectionimg = theme_url('img/sidebar-search.jpg');
				break;
			case "tags":
				$sectiontype = $SECTYPE_TAGS;
				$sectionname = "Tags";
				$sectiondesc = "Site Tags";
				$sectionimg = theme_url('img/sidebar-search.jpg');
				break;
			case "about":
				$sectiontype = $SECTYPE_ABOUT;
				$sectionname = "About";
				$sectiondesc = "About DeepWave.Net";
				// $sectionimg = theme_url('img/sidebar-about.jpg');
				break;
			case "reading":
				$sectiontype = $SECTYPE_READING;
				$sectionname = "Reading";
				$sectiondesc = "Writings and Musings";
				$sectionimg = theme_url('img/sidebar-reading.jpg');
				break;
			case "press":
				$sectiontype = $SECTYPE_PRESS;
				$sectionname = "Press";
				$sectiondesc = "Press Articles and Events";
				$sectionimg = theme_url('img/sidebar-press.jpg');
				break;
			case "articles":
				$sectiontype = $SECTYPE_ARTICLES;
				$sectionname = "Articles";
				$sectiondesc = "Articles and References";
				$sectionimg = theme_url('img/sidebar-articles.jpg');
				break;
			case "gallery":
				$sectiontype = $SECTYPE_GALLERY;
				$sectionname = "Gallery";
				$sectiondesc = "Photographic Gallery";
				$sectionimg = theme_url('img/sidebar-gallery.jpg');
				break;
			default:
				if (strlen(page_title() == 0)) {
					$sectiontype = $SECTYPE_404;
					// $sectionimg = theme_url('img/sidebar-404.jpg');
				}
				break;
		}
	}
?>

<?php if(customised()): ?>
	<!-- Page Specific Customisation Stuff -->
	<style><?php echo article_css(); ?></style> <!-- Custom CSS -->
	<script><?php echo article_js(); ?></script> <!--  Custom Javascript -->
<?php endif; ?>

<!-- Sidebar Background Graphic -->
<style>
	.sidebar {
		background: url("<?php echo $sectionimg; ?>") center no-repeat;
		background-size: cover;
	}
</style>

</head>
<body>
<?php include_once("googleanalytics.php") ?>

<!-- Sidebar -->
<div class="sidebar">
	<!-- Sidebar Navigation Menu, used only in Small Screens -->
	<nav class="grid 1of1 smscr-nav">
		<a href="<?php echo base_url(); ?>" class="btnhome" title="Home">H</a>
		<?php if(has_menu_items()): ?>
			<?php while(menu_items()): ?>
				<a href="<?php echo menu_url(); ?>" title="<?php echo menu_title(); ?>"><?php echo menu_name(); ?></a>
			<?php endwhile; ?>
		<?php endif; ?>
		<a href="#menu" class="btnsearch" title="Search">S</a>
		<p class="sitename-top"><?php echo site_name(); ?></p>
	</nav>
	<!-- Bottom Section of Sidebar, Overlay on Graphics -->
	<div class="container">
		<div class="sidebar-overlay">
		<div class="grid 1of1 sidebar-content force-grid">
			<?php
				if ($SECTYPE_BLOGPOST == $sectiontype) {
					// This is an Article Post, Show Article Post Metadata
					$article_markdown = article_markdown(); ?>
					<?php if (article_author('real_name')) { ?>
						<aside class="author"><p><?php echo article_author('real_name'); ?></p></aside>
						<aside class="dts"><p><time datetime="<?php echo date(DATE_W3C, article_time()); ?>"><?php echo date("g:i a, jS M Y", article_time()); ?></time></p></aside>
						<aside class="readtime"><p><?php echo dw_estimated_reading_time(str_word_count(strip_tags($article_markdown))); ?> estimated reading time</p></aside>
					<?php } ?>
					<aside class="tags">
					<?php
						if (article_custom_field('tags')) {
							echo "<p>";
							$tagarray = array();
							$tagexplode = explode(",", article_custom_field('tags'));
							foreach ($tagexplode as $taggy) {
								$taggy = trim($taggy);
								$tagarray[] = '<a href="'.dw_tagged_url().'/'.$taggy.'">'.$taggy.'</a>';
							}
							echo implode(", ", $tagarray);
							echo "</p>";
						}
					?>
					</aside>
					<p class="grid 1of4 stick-to-grid remove-padding">
						<?php
							$prevurl = article_previous_url();
							if (strlen($prevurl) > 0) {
								echo "<a href=\"" . $prevurl . "\" class=\"leftrightsidebar\" title=\"Older Article\">L</a>\n";
							}
							$nexturl = article_next_url();
							if (strlen($nexturl) > 0) {
								echo "<a href=\"" . $nexturl . "\" class=\"leftrightsidebar\" title=\"Newer Article\">R</a>\n";
							}
							if (user_authed()) {
								echo "<a href=\"" . base_url('admin/posts/edit/' . article_id()) . "\" class=\"editlink\" title=\"Edit Article\">E</a>\n";
							}
						?>
					</p>
				<?php
				} else {  // This is a Page, Show Page Description Info
				?>
					<h1><?php echo $sectionname; ?></h1>
					<p><?php echo $sectiondesc; ?></p>
					<aside class="tags">
					<?php
						if (page_custom_field('tags')) {
							echo "<p>";
							$tagarray = array();
							$tagexplode = explode(",", page_custom_field('tags'));
							foreach ($tagexplode as $taggy) {
								$taggy = trim($taggy);
								$tagarray[] = '<a href="'.dw_tagged_url().'/'.$taggy.'">'.$taggy.'</a>';
							}
							echo implode(", ", $tagarray);
							echo "</p>";
						}
						if (user_authed()) {
							echo "<a href=\"" . base_url('admin/pages/edit/' . page_id()) . "\" class=\"editlink\" title=\"Edit Article\">E</a>\n";
						}
					?>
					</aside>
				<?php
				}  // End Post or Page Decision
			?>
		</div>
	</div>
	</div>
</div>
<!-- Sidebar -->

<!-- Main -->
<div class="main">

<!-- Search Slider -->
<div class="search-slider">
	<div class="container">
		<!-- Search Form -->
		<aside class="grid 1of2">
			<div class="icosearch">S</div>
			<form id="search" action="<?php echo search_url(); ?>" method="post">
				<input type="search" id="term" name="term" placeholder="<?php echo (search_term() ? search_term() : 'To search, type and hit enter&hellip;'); ?>" />
				<input type="hidden" id="whatSearch" name="whatSearch" value="all" />
				<button type="submit" value="Go">Go</button>
			</form>
		</aside>
		<!-- Tag Cloud -->
		<aside class="grid 1of2">
			<a href="#menu" class="btnclose" title="Close">C</a>
			<?php
				$tagresult = dw_tagged_cloud();
				if (isset($tagresult)) {
					echo "<div class=\"icotags\">T</div>";
					foreach($tagresult as $tagname => $fontsize) {
						echo "<a href=\"".dw_tagged_url()."/".$tagname."\" style=\"font-size: ".$fontsize."px\">".$tagname."</a>\n";
					}
				}
			?>
		</aside>
	</div>
</div>
<!-- Search Slider -->

<!-- Top Navigation Menu, used in Larger Screens -->
<header id="top">
	<div class="container">
		<nav class="grid 1of1 lgscr-nav">
			<?php if(has_menu_items()): ?>
				<?php while(menu_items()): ?>
					<a href="<?php echo menu_url(); ?>" title="<?php echo menu_title(); ?>"><?php echo menu_name(); ?></a>
				<?php endwhile; ?>
			<?php endif; ?>
			<a href="#menu" class="btnsearch" title="Search">S</a>
		</nav>
	</div>
</header>
<!-- Top Navigation Menu, used in Larger Screens -->

<!-- Actual Page Content -->
<div class="container">
