<?php theme_include('header'); ?>
<section class="grid 1of1 content">

<?php if ((strlen(dw_tagged_term()) > 0) && (dw_has_tagged_results_all())): ?>

	<p>Pages or blog posts tagged &ldquo;<?php echo dw_tagged_term(); ?>&rdquo;:</p>
	<?php $have_pages = false; ?>

	<!-- Search Pages First -->
	<?php if(dw_has_tagged_results_pages()): ?>
		<ul class="items">
		<?php $i = 0; while(dw_tagged_results_pages()): ?>
			<?php if (0 < $i) { echo "<hr/>\n"; } ?>
			<li>
				<?php
					$doc_title = page_title();
					$doc_url = page_url();
					$doc_content = page_content();
				?>
				<h1><a href="<?php echo $doc_url; ?>" title="<?php echo $doc_title; ?>"><?php echo $doc_title; ?></a></h1>
				<p class="content"><?php echo strip_tags(substr($doc_content, 0, 400)); ?>&hellip;</p>
				<small>
					Estimated reading time: <?php echo dw_estimated_reading_time(str_word_count(strip_tags($doc_content))); ?>
				</small>
				<a href="<?php echo $doc_url; ?>" title="<?php echo $doc_title; ?>" class="buttonlink">Read More</a>
			</li>
		<?php $i++; endwhile; if (0 < $i) { $have_pages = true; } ?>
		</ul>
	<?php endif; ?>

	<!-- Search Posts Next -->
	<?php if(dw_has_tagged_results_posts()): ?>
		<ul class="items">
		<?php $i = 0; while(dw_tagged_results_posts()): ?>
			<?php if ((0 === $i) && (true === $have_pages)) { echo "<hr/>\n"; } ?>
			<?php if (0 < $i) { echo "<hr/>\n"; } ?>
			<li>
				<?php
					$doc_title = article_title();
					$doc_url = article_url();
					$doc_content = article_markdown();
				?>
				<h1><a href="<?php echo $doc_url; ?>" title="<?php echo $doc_title; ?>"><?php echo $doc_title; ?></a></h1>
				<?php if (article_description()): ?>
					<aside class="tldr">
						<p><?php echo article_description(); ?></p>
					</aside>
				<?php endif ?>
				<p class="content"><?php echo strip_tags(substr($doc_content, 0, 400)); ?>&hellip;</p>
				<small>
					Posted <time datetime="<?php echo date(DATE_W3C, article_time()); ?>"><?php echo dw_relative_time(article_time()); ?></time> by <?php echo article_author('real_name'); ?>.
					Estimated reading time: <?php echo dw_estimated_reading_time(str_word_count(strip_tags($doc_content))); ?>
				</small>
				<a href="<?php echo $doc_url; ?>" title="<?php echo $doc_title; ?>" class="buttonlink">Read More</a>
			</li>
		<?php $i++; endwhile; ?>
		</ul>
	<?php endif; ?>

	<?php if(dw_has_tagged_pagination()) {
		$prevlink = dw_tagged_prev("L");
		$nextlink = dw_tagged_next("R");
		if (strlen($prevlink) > 0) {
			$newprevlink = str_replace("<a ", "<a class=\"leftright\" title=\"Older Articles\" ", $prevlink);
			echo $newprevlink;
		}
		if (strlen($nextlink) > 0) {
			$newnextlink = str_replace("<a ", "<a class=\"leftright\" title=\"Newer Articles\" ", $nextlink);
			echo $newnextlink;
		}
	} ?>

<?php else: ?>
	<p>Unfortunately, there are no pages or blog posts tagged &ldquo;<?php echo dw_tagged_term(); ?>&rdquo;. Did you spell everything correctly? Maybe you can try the <a href="<?php echo base_url(); ?>">homepage</a>, or a different <a href="#menu">tag</a>?</p>
<?php endif; ?>

</section>
<?php theme_include('footer'); ?>
